What do I install

I am just starting out, I downloaded Aptana studio and installed it with
the RoR plugin, do I also need the InstantRails 2.0? If so is there a
document that relates how to make the Aptana file work with the
InstantRails.

You need to download Ruby 1.8.6 and install it. Install rubygems
unless you used ruby windows installer. Then fire up console and
execute 'gem install rails'. The last thing you need to do is choose
correct ruby interpreter in aptana properties. I'm not sure how to do
that since i haven't used aptana for long time.